Package org.apache.sysds.runtime.matrix.data

## Class TripleIndexes.Comparator

- java.lang.Object
- - org.apache.sysds.runtime.matrix.data.TripleIndexes.Comparator

All Implemented Interfaces:
  `Comparator<TripleIndexes>`, `org.apache.hadoop.io.RawComparator<TripleIndexes>`

Enclosing class:
  TripleIndexes

    public static class TripleIndexes.Comparator
    extends Object
    implements org.apache.hadoop.io.RawComparator<TripleIndexes>

### Constructor Summary

Constructors
`Comparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare​(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2)`
`int` `compare​(TripleIndexes m1, TripleIndexes m2)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### Comparator

    public Comparator()

### Method Detail

#### compare

    public int compare​(byte[] b1,
                       int s1,
                       int l1,
                       byte[] b2,
                       int s2,
                       int l2)

Specified by:
  `compare` in interface `org.apache.hadoop.io.RawComparator<TripleIndexes>`

#### compare

    public int compare​(TripleIndexes m1,
                       TripleIndexes m2)

Specified by:
  `compare` in interface `Comparator<TripleIndexes>`